Security Lab

Отказ в обслуживании в libxslt

Дата публикации:07.03.2012
Всего просмотров:1309
Опасность:
Средняя
Наличие исправления: Инстуркции по устранению
Количество уязвимостей:1
CVSSv2 рейтинг: 7.8 (AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:W/RC:C)
CVE ID: CVE-2011-3970
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: libxslt 1.x
Уязвимые версии: libxslt 1.1.26, возможно другие версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании.

Уязвимость существует из-за ошибки в функции xsltCompilePatternInternal() при обработке XSLT шаблонов. Удаленный пользователь может с помощью специально сформированного файла вызвать чтение за пределами границ памяти и вызвать отказ в обслуживании системы.

Решение: Для устранения уязвимости установите исправление с GIT репозитория.